using System.Linq;
using System;
using System.Collections.Generic;

public class HelloWorld
{
    public static void Main()
    {
        int m=0;
        int MedijanaNizaA;
        int L;
        int br=0;
        string prvired = Console.ReadLine();
        var odvojeno = prvired.Split(' ');
        int N = int.Parse(odvojeno[0]);
        int Q = int.Parse(odvojeno[1]);
        L=N;
        string A = Console.ReadLine();
        var odvojeno1 = A.Split(' ');
        List<int> brojevi = new List<int>();
        foreach(string unos in odvojeno1) brojevi.Add(int.Parse(unos));
        string B = Console.ReadLine();
        var odvojeno2 = B.Split(' ');
        List<int> brojevi1 = new List<int>();
        foreach(string unos in odvojeno1) brojevi1.Add(int.Parse(unos));
        List<int> A1 = brojevi;
        A1.Insert(0, 1);
        A1.Sort();
        MedijanaNizaA=A1[(N/2+1)];
        while(MedijanaNizaA!=brojevi1[m])
            {
            N++;
            A1.Add(brojevi1[m]);
            A1.Sort();
            MedijanaNizaA=A1[(N/2+1)];
            br++;
            }
            Console.WriteLine(br);
    }    
}